> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect the current API key

> Return the user identity, owning app, granted scopes, balance, and remaining spend limit for the configured API key. Used by `hevn whoami`.



## OpenAPI

````yaml /openapi.json get /api/v1/apps/me
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/apps/me:
    get:
      tags:
        - apps
      summary: Introspect the current API key
      description: >-
        Return the user identity, owning app, granted scopes, balance, and
        remaining spend limit for the configured API key. Used by `hevn whoami`.
      operationId: me_api_v1_apps_me_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
          description: >-
            Alternative API key header. Use Authorization Bearer by default, or
            X-Api-Key when that header mode is configured.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppsMeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - ApiKeyAuth: []
components:
  schemas:
    AppsMeResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        balance:
          type: number
          title: Balance
          default: 0
        spendLimit:
          type: number
          title: Spendlimit
          default: 0
        appId:
          anyOf:
            - type: string
            - type: 'null'
          title: Appid
        appName:
          anyOf:
            - type: string
            - type: 'null'
          title: Appname
        scope:
          type: array
          items:
            type: string
          title: Scope
          default: []
      type: object
      required:
        - email
      title: AppsMeResponse
      description: >-
        Introspection response for the API key used by HEVN CLI whoami. Includes
        user identity, owning app, scopes, balance, and remaining spend limit.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Alternative HEVN API key header. The CLI defaults to Authorization
        Bearer unless configured with HEVN_API_KEY_HEADER=X-Api-Key.

````